<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\User;
use Illuminate\Support\Facades\Hash;


class UsuarioController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view("administrador.registroUsuario");
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        
        $this->validate($request, [

            'name' => ['required', 'string', 'max:255'],
            'primerApellido' => ['required', 'string', 'max:255'],
            'segundoApellido' => ['required', 'string', 'max:255'],
            'tipoDocumento_id' => ['required', 'integer'],
            'numeroDocumento' => ['required', 'string', 'max:255', 'unique:users'],
            'telefono' => ['required', 'string', 'max:255'],
            'celular' => ['required', 'string', 'max:255'],
            'direccion' => ['required', 'string', 'max:255'],
            'ciudad_id' => ['required', 'integer'],
            'role_id' => ['required', 'integer'],
            'codigoVotacion' => ['required', 'integer'],
            'email' => ['required', 'string', 'email', 'max:255', 'unique:users'],
            'password' => ['required', 'string', 'min:8', 'confirmed'],
        ]);

        

        if ($archivo = $request->file('foto')) {
            
            $nombreFoto = $archivo->getClientOriginalName();
            $archivo->move("fotoUsuarios", $nombreFoto);

        }else{

            $nombreFoto="Null";
        }    


        User::create([
            'name' => $request->name,
            'primerApellido' => $request->primerApellido,
            'segundoApellido' => $request->segundoApellido,
            'tipoDocumento_id' => $request->tipoDocumento_id,
            'descripcion' => $request->descripcion,
            'numeroDocumento' => $request->numeroDocumento,
            'telefono' => $request->telefono,
            'celular' => $request->celular,
            'direccion' => $request->direccion,
            'ciudad_id' => $request->ciudad_id,
            'codigoVotacion' => $request->codigoVotacion,
            'email' => $request->email,
            'role_id' => $request->role_id,
            'foto' => $nombreFoto,
            'password' => Hash::make($request->password),
        ]);

        return redirect("/");

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
