<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Candidato;
use App\ConcejoDirectivo;
use App\FechaVotaciones;
use App\RegistroVoto;
use App\RegistroPosultacion;
use Illuminate\Support\Facades\Auth;

class VotanteController extends Controller
{
    public function __construct(){

        $this->middleware("Votante");

}

public function index($mensaje = null,$mensajeError = null){
    
        date_default_timezone_set('America/Bogota');
        $fechaActual = explode("/",date("Y-m-d H:i:s"));

        $ultimaFecha = FechaVotaciones::orderByDesc("id")->first();
        FechaVotaciones::where("id",$ultimaFecha["id"])->update([
                            "fechaActual" => $fechaActual[0],
                        ]);

        if ($fechaActual[0] < $ultimaFecha["fechaInicio"]) {
                 $fechaPostulacion = true;
                 $mensajeError = "No estan disponibles las elecciones";
                 
        }else{
                 $fechaPostulacion = false;    
        }        
                        
        $fecha = FechaVotaciones::where("fechaActual",$fechaActual[0])
                        ->orderByDesc("id")
                        ->first();

        $fechaVotaciones = FechaVotaciones::whereBetween("fechaActual",array($fecha["fechaInicio"],$fecha["fechaFinal"]))
        ->get();

        $concejoDirectivos = ConcejoDirectivo::select("*")->orderBy("id")->get();
        return view("votante.votante",compact("concejoDirectivos","fechaVotaciones","fechaPostulacion","ultimaFecha","mensaje","mensajeError"));

}

public function candidatos(Request $request){
        
        $ultimaFecha = FechaVotaciones::orderByDesc("id")->first();
        $candidatos = Candidato::where("concejo_directivo_id",$request->concejo_directivo_id)
        ->where("fecha_votacione_id",$ultimaFecha["id"])
        ->get();
        
        return view("votante.candidatos",compact("candidatos"));

}

public function postularse(Request $request){

        $usuario = Auth::user();
        $candidato = Candidato::where("user_id",$usuario["id"])
        ->where("concejo_directivo_id",$request->concejo_directivo_id)
        ->where("fecha_votacione_id",$request->fecha_votacione_id)
        ->get(); 

        
        if (count($candidato)>0) {
                $mensajeError = "Usted ya se ha postulado para este concejo";
                return $this->index(null,$mensajeError); 
        }else{
        Candidato::create([
                "user_id" => $usuario["id"],
                "concejo_directivo_id" => $request->concejo_directivo_id,
                "fecha_votacione_id" => $request->fecha_votacione_id,
                "votos" => 0
        ]);
        $mensaje = "Postulación creada con exito";
        return $this->index($mensaje,null);
        }
        
}

public function votar(Request $request){
        $usuario = Auth::user();
        $registroVoto = RegistroVoto::where("user_id",$usuario["id"])
        ->where("fecha_votacione_id",$request->fecha_votacione_id)
        ->where("concejo_directivo_id",$request->concejo_directivo_id)
        ->get();

        if (count($registroVoto) > 0) {
                $mensajeError = "Usted ya ha votado en este concejo directivo";
                return $this->index(null,$mensajeError);
        }else{  
                RegistroVoto::create([
                        "user_id" => $usuario["id"],
                        "fecha_votacione_id" => $request->fecha_votacione_id,
                        "concejo_directivo_id" => $request->concejo_directivo_id
                ]);
                $voto = Candidato::where("user_id",$request->user_id)
                        ->where("concejo_directivo_id",$request->concejo_directivo_id)
                        ->where("fecha_votacione_id",$request->fecha_votacione_id)->first();

                Candidato::where("user_id",$request->user_id)
                ->where("concejo_directivo_id",$request->concejo_directivo_id)
                ->where("fecha_votacione_id",$request->fecha_votacione_id)->update([
                        "votos" => $voto["votos"]+1
                ]);

                $mensaje = "Su voto ha sido asignado con exito";
                return $this->index($mensaje,null);

        }
        

}

}
