<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNewColumnsToUsers extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('primerApellido',45);
            $table->string('segundoApellido',45);
            $table->foreignId('tipoDocumento_id')->constrained("tipo_documentos");
            $table->string('numeroDocumento');
            $table->string("descripcion",100)->nullable();
            $table->string('telefono',45)->nullable();
            $table->string('celular',45)->nullable();
            $table->string('direccion',100)->nullable();
            $table->foreignId('ciudad_id')->nullable()->constrained("ciudades");
            $table->foreignId('role_id')->nullable()->constrained("roles");
            $table->string('codigoVotacion')->nullable();
            $table->string('foto')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn('primerApellido');
            $table->dropColumn('segundoApellido');
            $table->dropColumn('tipoDocumento_id');
            $table->dropColumn('numeroDocumento');
            $table->dropColumn('descripcion');
            $table->dropColumn('telefono');
            $table->dropColumn('celular');
            $table->dropColumn('direccion');
            $table->dropColumn('role_id');
            $table->dropColumn('ciudad_id');
            $table->dropColumn('codigoVotacion');
            $table->dropColumn('foto');
        });
    }
}
