<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCandidatoEstudiantesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('candidato_estudiantes', function (Blueprint $table) {
            $table->id();
            $table->foreignId("user_id")->constrained("users")->unique();
            $table->string("perfil");
            $table->string("trayectoriaUno")->nullable();
            $table->string("trayectoriaDos")->nullable();
            $table->string("trayectoriaTres")->nullable();
            $table->string("trayectoriaCuatro")->nullable();
            $table->string("planGobierno");
            $table->string("votos")->nullable();
            $table->foreignId("fecha_votacione_id")->constrained("fecha_votaciones");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('candidato_estudiantes');
    }
}
