@extends("administrador.administrador")

@section("contenido")

<div class="container">
    <div class="row justify-content-center">
        <div class="">
            <div class="card">
                

                <div class="card-body">
                    <!-- <form method="POST" action="{{ route('register') }}"> -->
                    {!! Form::open(['url' => '/usuario', 'method' => 'post', 'files' => true]) !!}
                        @csrf

                        <div class="">
    
                            {!! Form::label('foto', 'Foto',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                {!! Form::file('foto',['class' => 'form-control'])!!}
                            </div>

                        </div>

                        <div class="">

                             {!! Form::label('name', 'Nombre',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                <input id="name" type="text" class="form-control" name="name" value="{{ old('name')}}" required autocomplete="name" autofocus>

                            </div>
                        </div>

                        <div class="">
                             {!! Form::label('PrimerApellido', 'Primer apellido',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                <input id="primerApellido" type="text" class="form-control @error('primerApellido') is-invalid @enderror" name="primerApellido" value="{{ old('primerApellido') }}" required autocomplete="primerApellido" autofocus>

                            </div>
                        </div>

                        <div class="">
                        {!! Form::label('segundoApellido', 'Segundo apellido',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                <input id="segundoApellido" type="text" class="form-control @error('segundoApellido') is-invalid @enderror" name="segundoApellido" value="{{ old('segundoApellido') }}" required autocomplete="segundoApellido" autofocus>

                            </div>
                        </div>

                        <div class="">
                        {!! Form::label('descripcion', 'Descripción',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                <input id="descripcion" type="text" class="form-control @error('descripcion') is-invalid @enderror" name="descripcion" value="{{ old('descripcion') }}"  autocomplete="descripcion" autofocus>

                            </div>
                        </div>

                        <div class="">
                        {!! Form::label('tipoDocumento_id', 'Tipo de documento',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                <select id="tipoDocumento_id"  class="form-select @error('tipoDocumento_id') is-invalid @enderror" name="tipoDocumento_id" value="{{ old('tipoDocumento_id') }}" required autocomplete="tipoDocumento_id" autofocus>
                                    <option value="">Seleccionar</option>
                                    @foreach(App\TipoDocumento::all() as $tipo)
                                    <option value="{{$tipo['id']}}">{{$tipo['nombre']}}</option>    
                                    @endforeach

                                </select>
                                
                            </div>
                        </div>

                        <div class="">
                        {!! Form::label('numeroDocumento', 'Numero de documento',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                <input id="numeroDocument" type="number" class="form-control @error('numeroDocumento') is-invalid @enderror" name="numeroDocumento" value="{{ old('numeroDocumento') }}" required autocomplete="numeroDocumento" autofocus>
                                    
                                
                            </div>
                        </div>


                        <div class="">
                        {!! Form::label('telefono', 'Telefono',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                <input id="telefono"  type="number"  class="form-control @error('telefono') is-invalid @enderror" name="telefono" value="{{ old('telefono') }}" required autocomplete="telefono">
                                
                            </div>
                        </div>

                        <div class="">
                        {!! Form::label('celular', 'Celular',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                <input id="celular"  type="number"  class="form-control @error('celular') is-invalid @enderror" name="celular" value="{{ old('celular') }}" required autocomplete="celular">
                                
                            </div>
                        </div>

                        <div class="">
                        {!! Form::label('direccion', 'Dirección',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                <input id="direccion"  type="textr"  class="form-control @error('direccion') is-invalid @enderror" name="direccion" value="{{ old('direccion') }}" required autocomplete="direccion">
                                
                            </div>
                        </div>

                        <div class="">
                        {!! Form::label('ciudad_id', 'Ciudad',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                <select id="ciudad_id"  class="form-select @error('ciudad_id') is-invalid @enderror" name="ciudad_id" value="{{ old('ciudad_id') }}" required autocomplete="ciudad_id" autofocus>
                                    <option value="">Seleccionar</option>
                                    @foreach(App\Ciudade::all() as $ciudad)
                                    <option value="{{$ciudad['id']}}">{{$ciudad['nombre']}}</option>    
                                    @endforeach
                                </select>
                                
                            </div>
                        </div>

                        <div class="">

                            <div class="">
                                <input id="codigoVotacion"  type="number"  class="form-control @error('codigoVotacion') is-invalid @enderror" name="codigoVotacion" value="{{rand(1000,9999)}}" hidden required autocomplete="codigoVotacion">
                    
                            </div>
                        </div>

                        <div class="">
                        {!! Form::label('email', 'Email',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email">       
                        </div>
                        </div>

                        <div class="">
                        {!! Form::label('role_id', 'Rol',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                <select id="role_id"  class="form-select @error('role_id') is-invalid @enderror" name="role_id" value="{{ old('role_id') }}" required autocomplete="role_id" autofocus>
                                
                                    <option value="">Seleccionar</option>
                                    @foreach(App\Role::all() as $rol)
                                    <option value="{{$rol['id']}}">{{$rol['nombre_rol']}}</option>    
                                    @endforeach
                                </select>
                            
                            </div>
                        </div>

                        <div class="">
                        {!! Form::label('password', 'Contraseña',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                <!-- <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="new-password"> -->
                                {!! Form::password('password', ['class' => 'form-control', 'required' => 'required']) !!}                    
                            
                            </div>
                        </div>

                        <div class="">
                        {!! Form::label('password_confirm', 'Confirmar contraseña',['class' => 'col-md-4 col-form-label text-md-right']) !!}

                            <div class="">
                                <!-- <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required autocomplete="new-password"> -->
                                {!! Form::password('password_confirmation', ['class' => 'form-control', 'required' => 'required']) !!}
                            </div>
                        </div>

                        <div class=" mb-0">
                            <div class="" style="margin-top:20px;">
                                {{ Form::submit('Registrar',['class' => 'btn btn-primary']) }}
                            </div>
                        </div>
                        {!! Form::close() !!}
                    @if(isset($error['password']))
                        {{$error['password']}}
                    @endif
                    @if(count($errors) > 0)

                     @foreach($errors->all() as $error)
                        
                        {{$error}}

                     @endforeach

                    @endif
                </div>
            </div>
        </div>
    </div>
</div>
@endsection