<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" class="h-100 translated-ltr">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ "Colegio Leonistico" }}</title>

    <!-- Scripts -->
    

    <!-- Fonts -->
    <!-- <link rel="dns-prefetch" href="//fonts.gstatic.com"> -->
    <!-- <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet"> -->

    <!-- Styles -->
    <link href="{{ asset('css/bootstrap.min.css') }}" rel="stylesheet">
    
</head>
<body class="d-flex flex-column h-100">
    <div id="app">
        <nav class="navbar navbar-expand-lg navbar-light shadow-sm" style="background-color:#00428d;">
            <div class="container-fluid">
                <a class="navbar-brand" href="{{ url('/') }}">
                    <!-- {{ config('app.name', 'Laravel') }} -->
                    <img src="images/logo.png" alt="" width="100px">
                    
                </a>
                <div class=" d-none d-sm-block" style="width:2500px;">
                @yield('titulo')
                <span class="fs-2 fw-bold" style="color:#e1c91a; font-family:Didot;">VOTACIONES CLUB DE LEONES CALI LA MERCED</span>
                </div>
                <button class="navbar-toggler collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" arial-controls="navbarSupportedContent" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto" style="margin-left:auto;">
                        <!-- Authentication Links -->
                        @guest
                            <li class="nav-item ">
                                <a class="nav-link text-white" href="{{ route('login') }}">{{ __('Ingresar') }}</a>
                            </li>
                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <!-- <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a> -->
                                </li>
                            @endif
                        @else
                        
                        <div class="dropdown" >
                        <button class="btn text-white dropdown-toggle" type="button" id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false">
                        {{ Auth::user()->name }}
                        </button>
                        <ul class="dropdown-menu" style="background-color:#245bc2;" aria-labelledby="dropdownMenuButton1">
                        @php $idFecha = App\FechaVotaciones::orderByDesc("id")->first() @endphp    
                        @php $concejos = App\ConcejoDirectivo::all() @endphp
                        @php $registro = App\RegistroVoto::where("user_id",Auth::user()->id)->where("fecha_votacione_id",$idFecha["id"])->get() @endphp    
                        <li>
                        
                        @if(count($registro) < count($concejos) && Auth::user()->role_id != 1 )

                            @php date_default_timezone_set('America/Bogota') @endphp
                            @php $fechaActual = explode("/",date("Y-m-d h:i:s")) @endphp
                            
                            @if($fechaActual[0] < $idFecha["fechaInicio"])
                            <a class="dropdown-item text-white" href="{{ route('logout') }}"
                            onclick="event.preventDefault();
                            document.getElementById('logout-form').submit();">
                            {{ __('Salir') }}
                            </a>                       
                            @else
                            <center><span class="text-white">{{"Por favor realice la votación en todos los concejos directivos"}}</span></center>
                            @endif

                        @else
                        <a class="dropdown-item text-white" href="{{ route('logout') }}"
                        onclick="event.preventDefault();
                        document.getElementById('logout-form').submit();">
                        {{ __('Salir') }}
                        </a>
                        @endif
                        </li>
                        <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                        @csrf
                                    </form>
                        </ul>
                        </div>

                            <!-- <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }}
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                        @csrf
                                    </form>
                                </div>
                            </li> -->
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="">
            @yield('content')
        </main>
    </div>

    <footer class="footer mt-auto py-3 border-top" style="background-color:#00428d; color:white;" >
    <div class="container text-center">
    <span >© Pymes On Line 2021, todos los derechos reservados.</span>
    </div>
    </footer>
    <script src="{{ asset('js/bootstrap.min.js') }}"></script>
</body>
</html>
