<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Hash;
use App\User;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {

    return redirect(route('login'));
});


Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');


//Rutas de rol Docentes
Route::get('/docente','DocenteController@index');

Route::get('/resultadoDocente','DocenteController@resultadoDocente');
Route::post('/validarCodigo','DocenteController@validarCodigo');
Route::post('/crearPostulacion','DocenteController@crearPostulacion');
Route::post('/votarDocente','DocenteController@votarDocente');

//Rutas de rol votante
Route::get('/votante','VotanteController@index');
Route::post('/candidatos','VotanteController@candidatos');
Route::post('/postularse','VotanteController@postularse');
Route::get('/resultadoVotante','VotanteController@resultadoVotante');
Route::post('/validarCodigo','VotanteController@validarCodigo');
Route::post('/crearPostulacion','VotanteController@crearPostulacion');
Route::post('/votar','VotanteController@votar');



//rutas de rol Administrador
//interfaces
Route::get('/fechaVotacion','AdministradorController@fechaVotacion');
Route::get('/postular','AdministradorController@postular');
Route::get('/listaFechas','AdministradorController@listaFechas');
Route::get('/administrador','AdministradorController@index');
Route::get('/registrar','AdministradorController@registrar');
Route::get('/usuarios','AdministradorController@usuarios');
Route::get('/concejoDirectivos','AdministradorController@concejoDirectivos');
Route::get('/registrarConcejo','AdministradorController@registrarConcejo');
Route::get('/resultadoDocenteAdministrador','AdministradorController@resultadoDocente');

//CRUD postulacion
Route::post('/guardarPostulacion','AdministradorController@guardarPostulacion');

//CRUD concejo directivo
Route::post('/editarConcejo','AdministradorController@editarConcejo');
Route::post('/actualizarConcejo','AdministradorController@actualizarConcejo');
Route::post('/guardarConcejo','AdministradorController@guardarConcejo');

//CRUD usuario
Route::post('/eliminarUsuario','AdministradorController@eliminarUsuario');
Route::post('/mostrarUsuario','AdministradorController@mostrarUsuario');
Route::post('/actualizarUsuario','AdministradorController@actualizarUsuario');
//Fecha votaciones
Route::post('/editarFechaVotacion','AdministradorController@editarFechaVotacion');
Route::post('/actualizarFechaVotacion','AdministradorController@actualizarFechaVotacion');
Route::post('/guardarFechaVotacion','AdministradorController@guardarFechaVotacion');
Route::post('/verVotaciones','AdministradorController@verVotaciones');

Route::resource("usuario","UsuarioController");

