<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>" class="h-100 translated-ltr">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e("Colegio Leonistico"); ?></title>

    <!-- Scripts -->
    

    <!-- Fonts -->
    <!-- <link rel="dns-prefetch" href="//fonts.gstatic.com"> -->
    <!-- <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet"> -->

    <!-- Styles -->
    <link href="<?php echo e(asset('css/bootstrap.min.css')); ?>" rel="stylesheet">
    
</head>
<body class="d-flex flex-column h-100">
    <div id="app">
        <nav class="navbar navbar-expand-lg navbar-light shadow-sm" style="background-color:#00428d;">
            <div class="container-fluid">
                <a class="navbar-brand" href="<?php echo e(url('/')); ?>">
                    <!-- <?php echo e(config('app.name', 'Laravel')); ?> -->
                    <img src="images/logo.png" alt="" width="100px">
                    
                </a>
                <div class=" d-none d-sm-block" style="width:2500px;">
                <?php echo $__env->yieldContent('titulo'); ?>
                <span class="fs-2 fw-bold" style="color:#e1c91a; font-family:Didot;">VOTACIONES CLUB DE LEONES CALI LA MERCED</span>
                </div>
                <button class="navbar-toggler collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" arial-controls="navbarSupportedContent" aria-label="<?php echo e(__('Toggle navigation')); ?>">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto" style="margin-left:auto;">
                        <!-- Authentication Links -->
                        <?php if(auth()->guard()->guest()): ?>
                            <li class="nav-item ">
                                <a class="nav-link text-white" href="<?php echo e(route('login')); ?>"><?php echo e(__('Ingresar')); ?></a>
                            </li>
                            <?php if(Route::has('register')): ?>
                                <li class="nav-item">
                                    <!-- <a class="nav-link" href="<?php echo e(route('register')); ?>"><?php echo e(__('Register')); ?></a> -->
                                </li>
                            <?php endif; ?>
                        <?php else: ?>
                        
                        <div class="dropdown" >
                        <button class="btn text-white dropdown-toggle" type="button" id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false">
                        <?php echo e(Auth::user()->name); ?>

                        </button>
                        <ul class="dropdown-menu" style="background-color:#245bc2;" aria-labelledby="dropdownMenuButton1">
                        <?php $idFecha = App\FechaVotaciones::orderByDesc("id")->first() ?>    
                        <?php $concejos = App\ConcejoDirectivo::all() ?>
                        <?php $registro = App\RegistroVoto::where("user_id",Auth::user()->id)->where("fecha_votacione_id",$idFecha["id"])->get() ?>    
                        <li>
                        
                        <?php if(count($registro) < count($concejos) && Auth::user()->role_id != 1 ): ?>

                            <?php date_default_timezone_set('America/Bogota') ?>
                            <?php $fechaActual = explode("/",date("Y-m-d h:i:s")) ?>
                            
                            <?php if($fechaActual[0] < $idFecha["fechaInicio"]): ?>
                            <a class="dropdown-item text-white" href="<?php echo e(route('logout')); ?>"
                            onclick="event.preventDefault();
                            document.getElementById('logout-form').submit();">
                            <?php echo e(__('Salir')); ?>

                            </a>                       
                            <?php else: ?>
                            <center><span class="text-white"><?php echo e("Por favor realice la votación en todos los concejos directivos"); ?></span></center>
                            <?php endif; ?>

                        <?php else: ?>
                        <a class="dropdown-item text-white" href="<?php echo e(route('logout')); ?>"
                        onclick="event.preventDefault();
                        document.getElementById('logout-form').submit();">
                        <?php echo e(__('Salir')); ?>

                        </a>
                        <?php endif; ?>
                        </li>
                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                                        <?php echo csrf_field(); ?>
                                    </form>
                        </ul>
                        </div>

                            <!-- <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    <?php echo e(Auth::user()->name); ?>

                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        <?php echo e(__('Logout')); ?>

                                    </a>

                                    <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                                        <?php echo csrf_field(); ?>
                                    </form>
                                </div>
                            </li> -->
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
        </nav>

        <main class="">
            <?php echo $__env->yieldContent('content'); ?>
        </main>
    </div>

    <footer class="footer mt-auto py-3 border-top" style="background-color:#00428d; color:white;" >
    <div class="container text-center">
    <span >© Pymes On Line 2021, todos los derechos reservados.</span>
    </div>
    </footer>
    <script src="<?php echo e(asset('js/bootstrap.min.js')); ?>"></script>
</body>
</html>
<?php /**PATH /home/votacion/public_html/resources/views/layouts/app.blade.php ENDPATH**/ ?>